<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:</div>

<h3><a id="index_t"></a>- t -</h3><ul>
<li>text
: <a class="el" href="union_s_d_l___event.html#aa4fc65c559d69f33c057c0c23d8414b8">SDL_Event</a>
, <a class="el" href="struct_s_d_l___message_box_button_data.html#af35f3062f0577159284c8828caaf08e4">SDL_MessageBoxButtonData</a>
, <a class="el" href="struct_s_d_l___text_editing_event.html#a29848c2e7819ea98ae8fb08543e6d420">SDL_TextEditingEvent</a>
, <a class="el" href="struct_s_d_l___text_input_event.html#a1a95531f466dff01c2f108f53ff24554">SDL_TextInputEvent</a>
</li>
<li>texture_formats
: <a class="el" href="struct_s_d_l___renderer_info.html#a88450f9d48e593ec4571e3ba7cc3427d">SDL_RendererInfo</a>
</li>
<li>tfinger
: <a class="el" href="union_s_d_l___event.html#ab18d7d60794cb056948ffa58541bc3c5">SDL_Event</a>
</li>
<li>timestamp
: <a class="el" href="struct_s_d_l___audio_device_event.html#aa471680486a6103eafc9af569016df57">SDL_AudioDeviceEvent</a>
, <a class="el" href="struct_s_d_l___common_event.html#a7d9046abb021ffc88dd5d32978289e65">SDL_CommonEvent</a>
, <a class="el" href="struct_s_d_l___controller_axis_event.html#afc92dba0b4d1652a1ecf9e85606d1f14">SDL_ControllerAxisEvent</a>
, <a class="el" href="struct_s_d_l___controller_button_event.html#a73003712734c4d2f966db3d7c2ce826b">SDL_ControllerButtonEvent</a>
, <a class="el" href="struct_s_d_l___controller_device_event.html#a62945795fc17f5000fddc80e2cf921b8">SDL_ControllerDeviceEvent</a>
, <a class="el" href="struct_s_d_l___controller_sensor_event.html#a67f4b70a91f347130928f1c91d120e95">SDL_ControllerSensorEvent</a>
, <a class="el" href="struct_s_d_l___controller_touchpad_event.html#a2b80663393965edfc666f364f07631da">SDL_ControllerTouchpadEvent</a>
, <a class="el" href="struct_s_d_l___display_event.html#a6c4cd9f63a2ff62032602193c9bf605d">SDL_DisplayEvent</a>
, <a class="el" href="struct_s_d_l___dollar_gesture_event.html#a3bccd8ebdf30b79c0f4074f6471ec583">SDL_DollarGestureEvent</a>
, <a class="el" href="struct_s_d_l___drop_event.html#a02d2c81bb22db632a40cd0021ff751ab">SDL_DropEvent</a>
, <a class="el" href="struct_s_d_l___joy_axis_event.html#a60ecfc70df9eeef8e33b5dd7dc060389">SDL_JoyAxisEvent</a>
, <a class="el" href="struct_s_d_l___joy_ball_event.html#aa8e4fb91af62e316bb9a3219ab76148d">SDL_JoyBallEvent</a>
, <a class="el" href="struct_s_d_l___joy_button_event.html#ab50b6f7d1ab3ac53df69fc2d6cf5fa2a">SDL_JoyButtonEvent</a>
, <a class="el" href="struct_s_d_l___joy_device_event.html#a5c4a9271bfff5d5c2e09a0dc732df8f3">SDL_JoyDeviceEvent</a>
, <a class="el" href="struct_s_d_l___joy_hat_event.html#ade58ecb3e75aad4ef9809f040519a021">SDL_JoyHatEvent</a>
, <a class="el" href="struct_s_d_l___keyboard_event.html#a3da1d8f6892e7f6ee28d9eafdb5e7d02">SDL_KeyboardEvent</a>
, <a class="el" href="struct_s_d_l___mouse_button_event.html#ab05e8a454692608ff56c502e95799c56">SDL_MouseButtonEvent</a>
, <a class="el" href="struct_s_d_l___mouse_motion_event.html#af530bc0ef327ea6d497c5b1da119841c">SDL_MouseMotionEvent</a>
, <a class="el" href="struct_s_d_l___mouse_wheel_event.html#a83ad52c80ff49a8e75dc6c33bba65fa0">SDL_MouseWheelEvent</a>
, <a class="el" href="struct_s_d_l___multi_gesture_event.html#a7e99a98debf3ce11f6d2a2fbb3637175">SDL_MultiGestureEvent</a>
, <a class="el" href="struct_s_d_l___o_s_event.html#a8b2480eefadad9f3f8c94f8e550b7fb0">SDL_OSEvent</a>
, <a class="el" href="struct_s_d_l___quit_event.html#a7acd4fa42ca96da8edac146baaa0b433">SDL_QuitEvent</a>
, <a class="el" href="struct_s_d_l___sensor_event.html#a7de6c2b4d4791f5553b5de225293ceb5">SDL_SensorEvent</a>
, <a class="el" href="struct_s_d_l___sys_w_m_event.html#a5d3cb97006d99b620c2671c27bd82c06">SDL_SysWMEvent</a>
, <a class="el" href="struct_s_d_l___text_editing_event.html#afc164f40abee6fd8e72e01b589210c75">SDL_TextEditingEvent</a>
, <a class="el" href="struct_s_d_l___text_input_event.html#a20b190a96494918690ea7f99187be948">SDL_TextInputEvent</a>
, <a class="el" href="struct_s_d_l___touch_finger_event.html#abde2ab5cb013bbd21e37a65e2f8fa666">SDL_TouchFingerEvent</a>
, <a class="el" href="struct_s_d_l___user_event.html#adbf1d34c73138a0c549310e5d4ad0c35">SDL_UserEvent</a>
, <a class="el" href="struct_s_d_l___window_event.html#a7b0bf569b20cfa4e3fb76e3301d616f9">SDL_WindowEvent</a>
</li>
<li>title
: <a class="el" href="struct_s_d_l___message_box_data.html#a93ceeafeed20b553ad4c86c9be37f117">SDL_MessageBoxData</a>
</li>
<li>touchId
: <a class="el" href="struct_s_d_l___dollar_gesture_event.html#a40402f6911ed0dba48e6b23aa02bd83d">SDL_DollarGestureEvent</a>
, <a class="el" href="struct_s_d_l___multi_gesture_event.html#aa15d1201559a3c9277082af71a972dc1">SDL_MultiGestureEvent</a>
, <a class="el" href="struct_s_d_l___touch_finger_event.html#ad7a6f39ec9af1bf47b160d18314edd70">SDL_TouchFingerEvent</a>
</li>
<li>touchpad
: <a class="el" href="struct_s_d_l___controller_touchpad_event.html#a47ebc5c7897b57bda7fe7c2fa553eb7f">SDL_ControllerTouchpadEvent</a>
</li>
<li>type
: <a class="el" href="struct_s_d_l___audio_device_event.html#ae68c3bd49b49608711a17395c7cbfe58">SDL_AudioDeviceEvent</a>
, <a class="el" href="struct_s_d_l___controller_axis_event.html#aa904b61e4763d28d887cf8afcc3cbb7c">SDL_ControllerAxisEvent</a>
, <a class="el" href="struct_s_d_l___controller_button_event.html#a09869d792031e47a88673d85915c209f">SDL_ControllerButtonEvent</a>
, <a class="el" href="struct_s_d_l___controller_device_event.html#a45b3807eaf70a5f5cf712455da277536">SDL_ControllerDeviceEvent</a>
, <a class="el" href="struct_s_d_l___controller_sensor_event.html#a553d55d13d9b118679a3f208c41e96cb">SDL_ControllerSensorEvent</a>
, <a class="el" href="struct_s_d_l___controller_touchpad_event.html#ac33536046a3481953246b22a0371c109">SDL_ControllerTouchpadEvent</a>
, <a class="el" href="struct_s_d_l___display_event.html#a5f4993ce9c5289a2ac046ae7a6dff544">SDL_DisplayEvent</a>
, <a class="el" href="struct_s_d_l___dollar_gesture_event.html#ac7f6948754a1b2eb36edde043bf75ce9">SDL_DollarGestureEvent</a>
, <a class="el" href="struct_s_d_l___drop_event.html#a5ea27cfaa5f8d4940e9a69b68b3cc035">SDL_DropEvent</a>
, <a class="el" href="union_s_d_l___event.html#a237648bec242d2d5835f1a4250ddfa46">SDL_Event</a>
, <a class="el" href="struct_s_d_l___haptic_condition.html#a7be55a9a86c05dd1a54a3006781cfa6f">SDL_HapticCondition</a>
, <a class="el" href="struct_s_d_l___haptic_constant.html#a5cb31202803a8bc1be95fcede5ac8afb">SDL_HapticConstant</a>
, <a class="el" href="struct_s_d_l___haptic_custom.html#a98a8995c94492069dc007502ed97eed2">SDL_HapticCustom</a>
, <a class="el" href="struct_s_d_l___haptic_direction.html#acd6830ad68c4ba2af16057fa418087cc">SDL_HapticDirection</a>
, <a class="el" href="union_s_d_l___haptic_effect.html#a5ff6cfd8da91537091e9a6c2108cb179">SDL_HapticEffect</a>
, <a class="el" href="struct_s_d_l___haptic_left_right.html#abef79eeb482a8e623e512f0c9635e1a1">SDL_HapticLeftRight</a>
, <a class="el" href="struct_s_d_l___haptic_periodic.html#ac53c5725e8cff012e9b90e01b7110869">SDL_HapticPeriodic</a>
, <a class="el" href="struct_s_d_l___haptic_ramp.html#aca1c2349372433822ab62f60976640aa">SDL_HapticRamp</a>
, <a class="el" href="struct_s_d_l___joy_axis_event.html#aed1c873fb90ba58194e65f972933c67d">SDL_JoyAxisEvent</a>
, <a class="el" href="struct_s_d_l___joy_ball_event.html#a0b192b95a043cb494b27ed9b27e84db1">SDL_JoyBallEvent</a>
, <a class="el" href="struct_s_d_l___joy_button_event.html#a8f3312a046d37fa2884b93f69c4cb655">SDL_JoyButtonEvent</a>
, <a class="el" href="struct_s_d_l___joy_device_event.html#a51f060ba1dd5669b458e9c97aece667e">SDL_JoyDeviceEvent</a>
, <a class="el" href="struct_s_d_l___joy_hat_event.html#ac583dafab46c44354e210a542aff57cc">SDL_JoyHatEvent</a>
, <a class="el" href="struct_s_d_l___keyboard_event.html#ae0b2f2aace6f80c1f47e5a14350d409a">SDL_KeyboardEvent</a>
, <a class="el" href="struct_s_d_l___mouse_button_event.html#af64cb09ea68b8081ecc8ee498552e3d7">SDL_MouseButtonEvent</a>
, <a class="el" href="struct_s_d_l___mouse_motion_event.html#a431dd28cd6db6a7335cf633dbeb80cfb">SDL_MouseMotionEvent</a>
, <a class="el" href="struct_s_d_l___mouse_wheel_event.html#aa6b741e99df708c6f9550ee0f520fb70">SDL_MouseWheelEvent</a>
, <a class="el" href="struct_s_d_l___multi_gesture_event.html#ab0c7adc9a3f71cc3532bfe0ff8cc6120">SDL_MultiGestureEvent</a>
, <a class="el" href="struct_s_d_l___o_s_event.html#a85a600619ebebc8db007fc757b3895a5">SDL_OSEvent</a>
, <a class="el" href="struct_s_d_l___quit_event.html#a51ab0279e6de40249ba93971a8757cf0">SDL_QuitEvent</a>
, <a class="el" href="struct_s_d_l___sensor_event.html#a0173d64fbe5299cad956298faf3fb0f9">SDL_SensorEvent</a>
, <a class="el" href="struct_s_d_l___sys_w_m_event.html#a84697e96cb16bf6a570e10b5bfdcd392">SDL_SysWMEvent</a>
, <a class="el" href="struct_s_d_l___text_editing_event.html#a198e6df194a3bf12cf5f82553e84c7cb">SDL_TextEditingEvent</a>
, <a class="el" href="struct_s_d_l___text_input_event.html#a90576be2ea52e694deff40d0586654f5">SDL_TextInputEvent</a>
, <a class="el" href="struct_s_d_l___touch_finger_event.html#a3883218fa3426065ca66086c100edbfa">SDL_TouchFingerEvent</a>
, <a class="el" href="struct_s_d_l___user_event.html#ab7afa8b98dbd7b52bef41155e10f7340">SDL_UserEvent</a>
, <a class="el" href="struct_s_d_l___window_event.html#a01c8c8fbe8564e690f958d2db560f657">SDL_WindowEvent</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
